API Client
Wallet

Documentation OpenAPI

Wallet / GET /v1/balance

Retrieve wallet balance

Check the wallet that will fund customer API orders.

Last updated on

GET
/v1/balance
AuthorizationBearer <token>

Preferred customer API authentication. Create a personal or organization key from /my-account?tab=settings, then send Authorization: Bearer <api_key>. Query-string API keys are not supported.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/balance"
{  "object": "balance",  "customerId": "cus_123",  "amount": 500000,  "currency": "NGN"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    },    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    },    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    },    "requestId": "string"  }}